APIReports
Create report
Reports a ride or a user to the moderation queue.
POST
Reports a ride or a user to the moderation queue.
sessionAuthcookie
better-auth.session_token<token>Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session
application/json- body
targetType*stringValue in
"ride""user"targetId*stringLength
1 <= lengthreason*stringLength
5 <= length <= 1000OK
application/json- response
success*booleanid*stringcurl -X POST 'https://example.com/api/reports' \ -H 'Content-Type: application/json' \ -d '{ "targetType": "ride", "targetId": "string", "reason": "string"}'Example Response
{ "success": true, "id": "string"}